begin transaction;

alter table transaction_bankcc rename to transaction_old;

--removing datePosted,status.  adding serverModTime, commonMerchantId.  renaming isCategory (includeInCategoryReport), isMerchant (includeInMerchantReport), datePostedString (datePostedStringInt), originalDatePostedString(originalDatePostedStringInt), yodDesc(originalDescription), userNote(note). Add id/type unique constraint and index.  add datePostedStringInt index.

CREATE TABLE `transaction_bankcc` (  `id` bigint(15) NOT NULL ,  `type` int (10) NOT NULL,  `accountId` bigint(15) NOT NULL REFERENCES `account` (`id`),  `description` varchar(255) NOT NULL,  `amount` decimal (15,5) NOT NULL,  `categoryId` int (10)  NOT NULL REFERENCES `category` (`id`),  `pending` int (1),  `duplicate` int(1),  `includeInCategoryReport` int(1),  `includeInMerchantReport` int(1),  `datePostedStringInt` int(8),  `userNote` varchar(255),  `inferredCategoryId` int (10)  NOT NULL default 0 REFERENCES `category` (`id`),  `originalDescription` varchar(255),  `version` int(20),  `originalDatePostedStringInt` int(8),  `manualTransactionType` int(10), `commonMerchantId` int(11), `serverModTime` BIGINT, constraint "id_type" UNIQUE (id, type) ON CONFLICT REPLACE);

create index datePosted on transaction_bankcc(datePostedStringInt);

insert into transaction_bankcc (id,type,accountId,description,amount,categoryId,pending,duplicate, includeInCategoryReport, includeInMerchantReport,datePostedStringInt,userNote,inferredCategoryId, originalDescription,version,originalDatePostedStringInt,manualTransactionType) select id,(case when type=0 then 1 else 0 end) ,accountId,description,amount,categoryId,pending,duplicate,isCategory,isMerchant,datePostedString,userNote,inferredCategoryId,yodDesc,version, originalDatePostedString,manualTransactionType from transaction_old;

drop table transaction_old;

alter table `transaction_usertag` rename to tx_usertag_old;

CREATE TABLE `transaction_usertag` ( `transactionId` bigint(15) NOT NULL, `transactionType` int(10) NOT NULL, `tagId` bigint(15) NOT NULL, FOREIGN KEY(`transactionId`, `transactionType`) REFERENCES `transaction_bankcc` (`id`,`type`),constraint "id_type_tag" UNIQUE(`transactionId`, `transactionType`,`tagId`) ON CONFLICT REPLACE);

insert into `transaction_usertag` (`transactionId`, `transactionType`, `tagId`) select ut.transactionId, t.type, ut.tagId from tx_usertag_old ut join transaction_bankcc t where t.id=ut.transactionId;

drop table tx_usertag_old;

commit;
