begin transaction;

alter table `transaction_manual` rename to `transaction_manual_old`;

-- add the transactionType column
CREATE TABLE `transaction_manual` (`transactionId` bigint(15) NOT NULL, `transactionType` int(10) NOT NULL,`manualTransactionType` int (10) NOT NULL,`amount` decimal (15,5) NOT NULL,`merchantId` bigint(15) NOT NULL REFERENCES `transaction_merchant` (`id`),`latitude` decimal (15,5) default NULL,`longitude` decimal (15,5) default NULL,`horizAccuracy` decimal (15,5) default NULL, FOREIGN KEY(`transactionId`, `transactionType`) REFERENCES `transaction_bankcc` (`id`,`type`), constraint "id_type" UNIQUE (transactionId, TransactionType) ON CONFLICT REPLACE);

-- re-insert the records, and add the type value joined in from the transaction table
INSERT INTO `transaction_manual` (transactionId, transactionType, manualTransactionType, amount, merchantId, latitude, longitude, horizAccuracy) select m.transactionId, t.type, m.manualTransactionType, m.amount, m.merchantId, m.latitude, m.longitude, m.horizAccuracy from `transaction_manual_old` m JOIN transaction_bankcc t where m.transactionId=t.id;

drop table `transaction_manual_old`;

commit;
